#!/bin/sh
#######################################################################################################
# Start rtl yasa project
#
# Project: Yasa 2
# Author : Jan Blumenthal
# Start  : 2002/02/28
# $Header: /sources/yasa/executives/rtlinux/scripts/rtl_startprojects.sh,v 1.2 2003/01/23 09:18:30 bj Exp $
#######################################################################################################
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program (See the included file COPYING);
# if not, write to the Free Software Foundation, Inc.,
# 675 Mass Ave, Cambridge, MA 02139, USA.
#
#######################################################################################################
# arg1=projectfilename "yp_example.o"
# arg2=scheduler "llf prio"



##################################################################################
# is rtlinux already started ?
if [ -e /proc/rtlinux/gethrtime ];
then
 echo "RTLinux already started"
else
 $YASA_EXECUTIVEDIR/scripts/rtl_startkernel.sh
fi

##################################################################################
# load yasa scheduler modules
for s in $2
do
	echo "Loading yasa scheduler module \"./ys_$s.o\""
	insmod ./ys_$s.o
done

#################################################################################
# load yasa project
echo "Loading yasa project \"./yp_$1.o\""
insmod ./yp_$1.o

