#!/bin/sh
##################################################################################
# Stop rtl schedulers
#
# Project: Yasa 2
# Author : Jan Blumenthal
# Start  : 2002/02/28
# $Header: /sources/yasa/executives/rtlinux/scripts/rtl_stopschedulers.sh,v 1.2 2003/01/23 09:18:30 bj Exp $
##################################################################################
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program (See the included file COPYING);
# if not, write to the Free Software Foundation, Inc.,
# 675 Mass Ave, Cambridge, MA 02139, USA.
#
##################################################################################


##################################################################################
# is rtlinux already stopped ?
#if [ -e /proc/rtlinux/gethrtime ];
if [ -n "`lsmod | cut -b1-23 | grep rtl_ `" ];
then
 $YASA_EXECUTIVEDIR/scripts/rtl_stopprojects.sh


 #################################################################################
 # remove all yasa schedulers e.g. "ys_prio"
 echo "Removing yasa schedulers"
 #for i in ys_prio ys_llf
 for i in `lsmod | cut -b1-23 | grep ys_ | tr -d ' '`
 do \
 	echo "Removing yasa scheduler \"$i\""
 	rmmod -v $i
 done

fi

#echo "RTLinux yasa schedulers removed!"

