//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// YASA round robin scheduling declarations
//
// Project:	Yasa 2
// Author :	Jan Blumenthal
// Start  : 2001/11/26
// $Header: /sources/yasa/schedulers/rr/rr.h,v 1.3 2003/01/24 15:47:10 bj Exp $
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program (See the included file COPYING);
// if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef YASA_RR_INCLUDE
#define	YASA_RR_INCLUDE

#include <yasa/yasa.h>

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#define RR_VERSION	"1.0"

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// functions provided by scheduler "rr"
YASA_THREAD* rr_schedule(YASA_SCHEDULER *scheduler, const YASA_TIME *now, YASA_TIME *ptime);



//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif														// ifndef YASA_RR_INCLUDE
