//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// YASA frame code
//
// Project: Yasa 2
// Author : Jan Blumenthal
// Start  : 2002/02/28
// $Header: /sources/yasa/yasagui/frame.cpp,v 1.3 2003/01/23 09:18:35 bj Exp $
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program (See the included file COPYING);
// if not, write to the Free Software Foundation, Inc.,
// 675 Mass Ave, Cambridge, MA 02139, USA.
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Use frames to create mdi child windows. In this way you can cascade frames
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#include <qmainwindow.h>
#include "frame.h"
#include "application.h"

//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
YFrame::~YFrame()
{
	YFrameArgs::DeleteFrameArgs(frameargs);
}


//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
int YObjectFrame::InitInstance()
{
	connect( this, SIGNAL( StatusMessage(const QString&, int) ),
			(const class QObject*) ((QMainWindow*)YApplication::GetMainWindow())->statusBar(), SLOT( message(const QString&, int )) );
	connect( GetObject(), SIGNAL( destroyed() ), this, SIGNAL(CloseFrame() ) );
	connect( GetObject(), SIGNAL( UpdateObject() ), this, SLOT(ObjectUpdated() ) );

	return 0;
}
